// bcrtdlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBcrtDlg dialog

class CBcrtDlg : public CDialog
{
// Construction
public:
	CBcrtDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CBcrtDlg)
	enum { IDD = IDD_BCRT_DIALOG };
	CButton	m_Send;
	CString	m_Receiver;
	int		m_rtAddress;
	CString	m_Transmit;
	CString	m_Receive;
	int		m_tmkNumber;
	int		m_tmkMode;
	UINT	m_Period;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBcrtDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CBcrtDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnSelchangeTmknumber();
	afx_msg void OnModebc();
	afx_msg void OnModert();
	afx_msg void OnSelchangeRtaddress();
	afx_msg void OnKillfocusTmknumber();
	afx_msg void OnSend();
	afx_msg void OnChangePeriod();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnAboutbox();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
